/* About ================ */

@import "./src/lib/core/variables";
@import "./src/lib/mixins/panel_styles";

.about {
  $about-padding: 100px;

  width: 100%;
  padding-top: $about-padding;
  padding-bottom: $about-padding;
  overflow: hidden;

  @include mq("desktop", "max") {
    padding-top: $about-padding / 2;
    padding-bottom: $about-padding / 2;
  }

  @include mq("laptop-small", "max") {
    padding-top: 20px;
    padding-bottom: 20px;
  }
}

.unior {
  display: flex;
  padding-top: 50px;
  padding-right: 50px;
  background-image: url("../images/pattern_line_bg.svg");
  background-repeat: repeat-x;
  background-position: bottom center;
  background-size: 100%;

  @include panelStyles;

  @include mq("laptop-small", "max") {
    padding-top: 30px;
    padding-right: 20px;
  }

  @include mq("laptop", "max") {
    flex-direction: column;
  }
}

.unior__image {
  align-self: flex-end;
  display: flex;
  align-items: flex-start;
  height: 650px;
  margin-top: -60px;
  margin-right: 40px;
  margin-left: -40px;
  overflow: hidden;
  user-select: none;

  @include mq("desktop-fullhd", "max") {
    height: 600px;
    margin-right: 20px;
    margin-left: -120px;
  }

  @include mq("desktop", "max") {
    margin-top: 0;
    margin-left: 0;
  }

  @include mq("laptop", "max") {
    width: 50%;
    height: 500px;
    margin: 0 auto;
  }

  @include mq("laptop-small", "max") {
    height: 400px;
  }

  @include mq("tablet", "max") {
    height: 300px;
  }

  @include mq("tablet-small", "max") {
    width: 80%;
    height: 350px;
  }

  @include mq("phone", "max") {
    width: 100%;
    height: 300px;
  }
}

.unior__content {
  width: 50%;
  padding-left: 40px;
  margin-bottom: 90px;

  @include mq("desktop-fullhd", "max") {
    width: 60%;
    padding-left: 20px;
  }

  @include mq("desktop", "max") {
    width: 70%;
  }

  @include mq("laptop", "max") {
    order: -1;
    width: 100%;
    margin-bottom: 10px;
  }
}

/* ================ end about */
